/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --black-color: hsl(220, 24%, 12%);
  --black-color-light: hsl(220, 24%, 15%);
  --black-color-lighten: hsl(220, 20%, 18%);
  --white-color: #fff;
  --body-color: #fff;

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Montserrat", sans-serif;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  /* --font-regular: 400;
  --font-semi-bold: 600; */

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-size: var(--normal-font-size);
}

html{
  scroll-behavior: smooth;

}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
}

ul {
  list-style: none;
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}


/* ================= Info Bar ======================== */

.info_bar{
    width:100%;
    padding: 20px 0;
    text-align:center;
}

.info_bar .but{
    margin:0 50px;
    color:#000;
}

.info_bar .but:hover{
  color: tomato;
}

.info_bar .but button{
    width:140px;
    padding:10px 0;
    background: none;
    border:none;
    border: 2px solid var(--black-color);
    border-radius: 20px;
    font-size: 16px;
}

.info_bar .but button:hover{
    background: var(--black-color);
    color:#fff;
    cursor: pointer;
}

/*=============== HEADER ===============*/
.header {
  /* position: fixed; */
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--black-color);
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
  z-index: var(--z-fixed);
}

.header img{
    width:20%;
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.nav__logo, 
.nav__burger, 
.nav__close {
  color: var(--white-color);
}

.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
  font-weight: var(--font-semi-bold);
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
}

.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}

.nav__burger, 
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
}

.nav__close {
  opacity: 0;
}

/* Navigation for mobile devices */
@media screen and (max-width: 1118px) {
  .nav__menu {
    position: absolute;
    left: 0;
    top: 2.5rem;
    width: 100%;
    height: calc(100vh - 3.5rem);
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top .4s, opacity .3s;
  }
  .nav__menu::-webkit-scrollbar {
    width: 0;
  }
  .nav__list {
    background-color: var(--black-color);
    padding-top: 1rem;
  }
}

.nav__link {
  color: var(--white-color);
  background-color: var(--black-color);
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color .3s;
}

.nav__link:hover {
  background-color: var(--black-color-light);
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}
.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
}

.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}

.dropdown__link, 
.dropdown__sublink {
  padding: 1.25rem 1.25rem 1.25rem 2.5rem;
  color: var(--white-color);
  background-color: var(--black-color-light);
  display: flex;
  align-items: center;
  column-gap: .1rem;
  font-weight: var(--font-semi-bold);
  transition: background-color .3s;
}

.dropdown__link i, 
.dropdown__sublink i {
  font-size: 1.25rem;
  font-weight: initial;
}

.dropdown__link:hover, 
.dropdown__sublink:hover {
  background-color: var(--black-color);
}

.dropdown__menu, 
.dropdown__submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height .4s ease-out;
}

/* Show dropdown menu & submenu */
.dropdown__item:hover .dropdown__menu, 
.dropdown__subitem:hover > .dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}

/* Rotate dropdown icon */
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
}

/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}

.dropdown__sublink {
  background-color: var(--black-color-lighten);
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 450px) {
  .container {
    margin-inline: 1rem;
  }

  .nav__link {
    padding-inline: 1rem;
  }

.info_bar{
    width:100%;
    
    padding: 20px 0;
    text-align:center;
}

.info_bar .but{
    margin: 0px;
    color:#000;
}

.info_bar .but button{
    width:95%;
    padding:10px 0;
    margin:25px 0;
    background: none;
    border:none;
    border: 2px solid var(--black-color);
    border-radius: 20px;
    font-size: 16px;
}

}

/* For large devices */
@media screen and (min-width: 1118px) {
  .container {
    margin-inline: auto;
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }
  .nav__toggle {
    display: none;
  }
  .nav__list {
    height: 100%;
    display: flex;
    column-gap: 3rem;
  }
  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }
  .nav__link:hover {
    background-color: transparent;
  }

  .dropdown__item, 
  .dropdown__subitem {
    position: relative;
  }

  .dropdown__menu, 
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0;
    top: 6rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;
  }

  .dropdown__link, 
  .dropdown__sublink {
    padding-inline: 1rem 3.5rem;
  }

  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }

  /* Show dropdown menu */
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    top: 5.5rem;
    pointer-events: initial;
    transition: top .3s;
  }

  /* Show dropdown submenu */
  .dropdown__subitem:hover > .dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }
}


section.part#home{
    display: flex;
    justify-content: center;
    justify-items: center;
    height: auto;
}



section.part#socials{
  height: auto;
}

section.part{
    width: 90%;
    margin: 0% 0 2.5% 5%;
    padding: 15px 0;
    height:  90vh;
    /* background-color: aqua; */
}


section.part#innovation, section.part#about, section.part#patching, section.part#cyber{
  height: 80vh;
}

 section.part#accountability,section.part#quality, section.part#mobile {
  height: 74vh;
 }

section.part div.heading{
    padding:45px 0;
    width: 100%;
    text-align: center;
}

section.part div.heading span{
    width:100%;
    font-size: 35px;
    font-weight: 400;
}

section.part div.heading span{
    color: grey;
}

section.part aside{
  width: 40%;
  margin-left: 5%;
  height: 500px;
  float: left;
  display:flex;
  justify-content: center;
  align-items: center;
  /* background-color: blue; */
  
}

section.part aside img{
  width: 100%;
  box-shadow: 4px 4px 8px 0 rgba(0, 0, 0, 0.2);
  border-radius: 25px;
}

/* section.part aside.descr{
  padding-top: 45px;
} */

section.part aside.descr header{
  color: grey;
  font-size: 25px;
  font-weight: 400;
  margin-bottom: 25px;
}

section.part aside.descr p{
  line-height: 28px;
}

section.part aside img.inno{
  width: 70%;
}

section#home img{
    width: 80%;
}

.top{
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 55px;
  right: 90px;
  width: 150px;
  padding: 5px 0;
}

.top i{
  font-size: 25px;
  color: #000;
}

#socials{
  text-align: center;
}

#socials i{
  font-size: 55px;
  margin: 0 25px;
  color: gray;
}

#socials i:hover{
  color: goldenrod;
}

@media screen and (max-width: 768px){

section.part{
    width: 90%;
    padding: 15px 0;
    height:  auto;
    margin-bottom: 5%;
}

section.part aside{
  width: 100%;
  float: none;
  height: auto;
  margin-left: 0%;
  display:flex;
  justify-content: center;
  align-items: center;
  /* background-color: blue; */
  
}

section.part div.heading{
    padding:65px 0;
    width: 100%;
    text-align: center;
    
}

section.part div.heading span{
    width:100%;
    font-size: 25px;
    font-weight: 400;
    margin: 5% 0;
}

section.part#innovation, section.part#about, section.part#patching, section.part#cyber{
  height: auto;
}

 section.part#accountability,section.part#quality, section.part#mobile {
  height: auto;
 }

section#home img{
    width: 100%;
}

section.part aside img{
  width: 100%;
  margin: 5% 0;
}

section.part aside img.inno{
  width: 100%;
}

section.part div.heading{
    padding:5px 0;
    width: 100%;
    text-align: center;
}

#socials i{
  font-size: 30px;
  margin: 15% 5px 2% 5px;
  color: gray;
}
}